"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_1 = require("../../styled");
const react_native_1 = require("react-native");
exports.default = (0, styled_1.styled)(react_native_1.TextInput, {
    flex: 1,
    color: "$textLight900",
    props: {
        placeholderTextColor: "$textLight500",
    },
    _dark: {
        color: "$textDark50",
        props: {
            placeholderTextColor: "$textDark400",
        },
    },
    _web: {
        cursor: "text",
        ":disabled": {
            cursor: "not-allowed",
        },
    },
}, { ancestorStyle: ["_input"], resolveProps: ["placeholderTextColor"] }, {
    propertyTokenMap: {
        placeholderTextColor: "colors",
    },
});
